<nav class="navbar navbar-expand-lg navbar-light bg-light">
  {% if user.is_authenticated %}
        Hello  {{request.user}}
        {% endif %}
    <h1>   ||    </h1>
    <a class="navbar-brand" href="#">PPW</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="story7/">Story 7<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" href="story8/">Story 8<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" href="login/">login<span class="sr-only">(current)</span></a>
        </li>
        {% if user.is_authenticated %}
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="{% url 'logout' %}">Log out</a>
            </li> 
            {% else %}
            <li class="nav-item {% if number == 8 %} active {% endif %}">
              <a class="nav-link js-scroll-trigger" href="{% url 'login' %}">Log in</a>
            </li> 
            {% endif %}

        <li ><button onclick="goBack()">Go Back</button></li>
      </ul>
    </div>
  </nav>